项目

一般

简介

windows 3.4版本迁移到Linux并升级到4.1.1.stable

0

匿名用户
大约 2 个月 之前增加

您好,我按照这个教程操作的:
https://redmineplugins.cn/questions/32-bitnami-redmine-3-4-5-stable-redmine-4-1-0-stable#questions_answer_14

1.在linux系统上新安装一个使用bitnami方式安装的4.1.1stable版本
2.在windows上面讲3.4版本的数据库导出
3.在linux上面新建一个数据库并导入3.4版本数据库
4.启动正常,执行 use_redmine 进入终端模式,执行:RAILS_ENV=production bundle exec rake db:migrate,数据库建表正常
5.我将3.4的插件拷入4.1.1目录之后,执行bundle exec rake redmine:plugins:migrate报错
请教一下如何处理,谢谢,感激不尽

解答 (2)

1

匿名用户
大约 2 个月 之前增加

你新装(bitnami)redmine的gems是被“锁定”的,因此你需要执行 bundle install --no-deployment 先解除锁定,然后再

bundle exec rake redmine:plugins:migrate ...

0

匿名用户
大约 2 个月 之前增加

好的,谢谢您

    (1-2/2)